/******************************************************************************
 * Product: Compiere ERP & CRM Smart Business Solution                        *
 * Copyright (C) 1999-2007 ComPiere, Inc. All Rights Reserved.                *
 * This program is free software, you can redistribute it and/or modify it    *
 * under the terms version 2 of the GNU General Public License as published   *
 * by the Free Software Foundation. This program is distributed in the hope   *
 * that it will be useful, but WITHOUT ANY WARRANTY, without even the implied *
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.           *
 * See the GNU General Public License for more details.                       *
 * You should have received a copy of the GNU General Public License along    *
 * with this program, if not, write to the Free Software Foundation, Inc.,    *
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.                     *
 * For the text or an alternative of this public license, you may reach us    *
 * ComPiere, Inc., 3600 Bridge Parkway #102, Redwood City, CA 94065, USA      *
 * or via info@compiere.org or http://www.compiere.org/license.html           *
 *****************************************************************************/
package org.compiere.model;

/** Generated Model - DO NOT CHANGE */
import java.sql.*;
import java.math.*;
import org.compiere.framework.*;
import org.compiere.util.*;
/** Generated Model for R_MailText
 *  @author Jorg Janke (generated) 
 *  @version Release 3.0.0 - $Id: GenerateModel.java,v 1.1 2008/01/16 07:34:32 jrmt Exp $ */
public class X_R_MailText extends PO
{
/** Standard Constructor
@param ctx context
@param R_MailText_ID id
@param trxName transaction
*/
public X_R_MailText (Ctx ctx, int R_MailText_ID, String trxName)
{
super (ctx, R_MailText_ID, trxName);
/** if (R_MailText_ID == 0)
{
setIsHtml (false);
setMailHeader (null);
setMailText (null);
setName (null);
setR_MailText_ID (0);
}
 */
}
/** Load Constructor 
@param ctx context
@param rs result set 
@param trxName transaction
*/
public X_R_MailText (Ctx ctx, ResultSet rs, String trxName)
{
super (ctx, rs, trxName);
}
/** Serial Version No */
static final long serialVersionUID = 27462785303789L;
/** Last Updated Timestamp 2007-06-01 10:06:27.0 */
public static final long updatedMS = 1180659987000L;
/** AD_Table_ID=416 */
public static final int Table_ID=416;

/** TableName=R_MailText */
public static final String Table_Name="R_MailText";

protected static KeyNamePair Model = new KeyNamePair(416,"R_MailText");

protected BigDecimal accessLevel = new BigDecimal(7);
/** AccessLevel
@return 7 - System - Client - Org 
*/
protected int get_AccessLevel()
{
return accessLevel.intValue();
}
/** Load Meta Data
@param ctx context
@return PO Info
*/
protected POInfo initPO (Ctx ctx)
{
POInfo poi = POInfo.getPOInfo (ctx, Table_ID);
return poi;
}
/** Info
@return info
*/
public String toString()
{
StringBuffer sb = new StringBuffer ("X_R_MailText[").append(get_ID()).append("]");
return sb.toString();
}
/** Set HTML.
@param IsHtml Text has HTML tags */
public void setIsHtml (boolean IsHtml)
{
set_Value ("IsHtml", new Boolean(IsHtml));
}
/** Get HTML.
@return Text has HTML tags */
public boolean isHtml() 
{
Object oo = get_Value("IsHtml");
if (oo != null) 
{
 if (oo instanceof Boolean) return ((Boolean)oo).booleanValue();
 return "Y".equals(oo);
}
return false;
}
/** Set Subject.
@param MailHeader Mail Header (Subject) */
public void setMailHeader (String MailHeader)
{
if (MailHeader == null) throw new IllegalArgumentException ("MailHeader is mandatory.");
if (MailHeader.length() > 2000)
{
log.warning("Length > 2000 - truncated");
MailHeader = MailHeader.substring(0,2000);
}
set_Value ("MailHeader", MailHeader);
}
/** Get Subject.
@return Mail Header (Subject) */
public String getMailHeader() 
{
return (String)get_Value("MailHeader");
}
/** Set Mail Text.
@param MailText Text used for Mail message */
public void setMailText (String MailText)
{
if (MailText == null) throw new IllegalArgumentException ("MailText is mandatory.");
if (MailText.length() > 2000)
{
log.warning("Length > 2000 - truncated");
MailText = MailText.substring(0,2000);
}
set_Value ("MailText", MailText);
}
/** Get Mail Text.
@return Text used for Mail message */
public String getMailText() 
{
return (String)get_Value("MailText");
}
/** Set Mail Text 2.
@param MailText2 Optional second text part used for Mail message */
public void setMailText2 (String MailText2)
{
if (MailText2 != null && MailText2.length() > 2000)
{
log.warning("Length > 2000 - truncated");
MailText2 = MailText2.substring(0,2000);
}
set_Value ("MailText2", MailText2);
}
/** Get Mail Text 2.
@return Optional second text part used for Mail message */
public String getMailText2() 
{
return (String)get_Value("MailText2");
}
/** Set Mail Text 3.
@param MailText3 Optional third text part used for Mail message */
public void setMailText3 (String MailText3)
{
if (MailText3 != null && MailText3.length() > 2000)
{
log.warning("Length > 2000 - truncated");
MailText3 = MailText3.substring(0,2000);
}
set_Value ("MailText3", MailText3);
}
/** Get Mail Text 3.
@return Optional third text part used for Mail message */
public String getMailText3() 
{
return (String)get_Value("MailText3");
}
/** Set Name.
@param Name Alphanumeric identifier of the entity */
public void setName (String Name)
{
if (Name == null) throw new IllegalArgumentException ("Name is mandatory.");
if (Name.length() > 60)
{
log.warning("Length > 60 - truncated");
Name = Name.substring(0,60);
}
set_Value ("Name", Name);
}
/** Get Name.
@return Alphanumeric identifier of the entity */
public String getName() 
{
return (String)get_Value("Name");
}
/** Get Record ID/ColumnName
@return ID/ColumnName pair */
public KeyNamePair getKeyNamePair() 
{
return new KeyNamePair(get_ID(), getName());
}
/** Set Mail Template.
@param R_MailText_ID Text templates for mailings */
public void setR_MailText_ID (int R_MailText_ID)
{
if (R_MailText_ID < 1) throw new IllegalArgumentException ("R_MailText_ID is mandatory.");
set_ValueNoCheck ("R_MailText_ID", new Integer(R_MailText_ID));
}
/** Get Mail Template.
@return Text templates for mailings */
public int getR_MailText_ID() 
{
Integer ii = (Integer)get_Value("R_MailText_ID");
if (ii == null) return 0;
return ii.intValue();
}
}
